Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client
Class AMQP.Exchange.Declare.Builder

    java.lang.Object
      com.rabbitmq.client.AMQP.Exchange.Declare.Builder

Enclosing interface:
  AMQP.Exchange.Declare

    public static final class AMQP.Exchange.Declare.Builder

extends java.lang.Object

Constructor Summary
`AMQP.Exchange.Declare.Builder()`

Method Summary
`AMQP.Exchange.Declare.Builder` | `arguments(java.util.Map<java.lang.String,java.lang.Object> arguments)`
`AMQP.Exchange.Declare.Builder` | `autoDelete()`
`AMQP.Exchange.Declare.Builder` | `autoDelete(boolean autoDelete)`
`AMQP.Exchange.Declare` | `build()`
`AMQP.Exchange.Declare.Builder` | `durable()`
`AMQP.Exchange.Declare.Builder` | `durable(boolean durable)`
`AMQP.Exchange.Declare.Builder` | `exchange(java.lang.String exchange)`
`AMQP.Exchange.Declare.Builder` | `internal()`
`AMQP.Exchange.Declare.Builder` | `internal(boolean internal)`
`AMQP.Exchange.Declare.Builder` | `nowait()`
`AMQP.Exchange.Declare.Builder` | `nowait(boolean nowait)`
`AMQP.Exchange.Declare.Builder` | `passive()`
`AMQP.Exchange.Declare.Builder` | `passive(boolean passive)`
`AMQP.Exchange.Declare.Builder` | `ticket(int ticket)`
`AMQP.Exchange.Declare.Builder` | `type(java.lang.String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AMQP.Exchange.Declare.Builder

    public AMQP.Exchange.Declare.Builder()

Method Detail

### ticket

    public AMQP.Exchange.Declare.Builder ticket(int ticket)

### exchange

    public AMQP.Exchange.Declare.Builder exchange(java.lang.String exchange)

### type

    public AMQP.Exchange.Declare.Builder type(java.lang.String type)

### passive

    public AMQP.Exchange.Declare.Builder passive(boolean passive)

### passive

    public AMQP.Exchange.Declare.Builder passive()

### durable

    public AMQP.Exchange.Declare.Builder durable(boolean durable)

### durable

    public AMQP.Exchange.Declare.Builder durable()

### autoDelete

    public AMQP.Exchange.Declare.Builder autoDelete(boolean autoDelete)

### autoDelete

    public AMQP.Exchange.Declare.Builder autoDelete()

### internal

    public AMQP.Exchange.Declare.Builder internal(boolean internal)

### internal

    public AMQP.Exchange.Declare.Builder internal()

### nowait

    public AMQP.Exchange.Declare.Builder nowait(boolean nowait)

### nowait

    public AMQP.Exchange.Declare.Builder nowait()

### arguments

    public AMQP.Exchange.Declare.Builder arguments(java.util.Map<java.lang.String,java.lang.Object> arguments)

### build

    public AMQP.Exchange.Declare build()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD